package sop_node

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/sop_node"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /sop_node/delete sop_node DeleteSopNode
//
// Delete sop node information | 删除SopNode信息
//
// Delete sop node information | 删除SopNode信息
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDsReq
//
// Responses:
//  200: BaseMsgResp

func DeleteSopNodeHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := sop_node.NewDeleteSopNodeLogic(r.Context(), svcCtx)
		resp, err := l.DeleteSopNode(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
